# Introduction

## Environments

SecurePay have two environments:

| Environment | Endpoint URL                       |
| ----------- | ---------------------------------- |
| Sandbox     | <https://sandbox.securepay.my/api> |
| Production  | <https://securepay.my/api>         |

## Credentials

There are 3 types of credential values&#x20;

| Type           | Format                                                           |
| -------------- | ---------------------------------------------------------------- |
| API UID        | 2aaa1633-e63f-4371-9b85-91d936aa56a1                             |
| Auth Token     | ZyUfF8EmyabcMWPcaocX                                             |
| Checksum Token | 159026b3b7348e2390e5a2e7a1c8466073db239c1e6800b8c27e36946b1f8713 |

{% hint style="info" %}
Merchant can generate multiple API credential.
{% endhint %}

## API Credentials

![API credentials from SecurePay dashboard](/files/-MKSwjrme80ReF3XzCbw)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.securepay.my/api/introduction.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
